Module java.desktop
Package javax.swing

# Class ScrollPaneLayout.UIResource

java.lang.Object
javax.swing.ScrollPaneLayout
javax.swing.ScrollPaneLayout.UIResource

All Implemented Interfaces:
  `LayoutManager`, `Serializable`, `UIResource`, `ScrollPaneConstants`

Enclosing class:
  `ScrollPaneLayout`

public static class ScrollPaneLayout.UIResource extends ScrollPaneLayout implements UIResource
The UI resource version of `ScrollPaneLayout`.

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class javax.swing.ScrollPaneLayout

  `ScrollPaneLayout.UIResource`

- ## Field Summary

  ### Fields declared in class javax.swing.ScrollPaneLayout

  `colHead, hsb, hsbPolicy, lowerLeft, lowerRight, rowHead, upperLeft, upperRight, viewport, vsb, vsbPolicy`

  ### Fields declared in interface javax.swing.ScrollPaneConstants

  `COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UIResource()`
  Constructs a `UIResource`.

- ## Method Summary

  ### Methods declared in class javax.swing.ScrollPaneLayout

  `addLayoutComponent, addSingletonComponent, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorderBounds, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, setHorizontalScrollBarPolicy, setVerticalScrollBarPolicy, syncWithScrollPane`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UIResource

    public UIResource()
    Constructs a `UIResource`.